Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR > Class Template Reference

`#include <Timeprobe_T.h>`

Inheritance diagram for ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >:

[legend]
Collaboration diagram for ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >:

[legend]
List of all members.

## Public Types
typedef ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR > | SELF
| Self.
typedef ACE_Timeprobe_Ex< ACE_LOCK, ACE_Allocator > | ACE_Timeprobe
typedef ACE_Unbounded_Set< ACE_Event_Descriptions > | EVENT_DESCRIPTIONS
| We can hold multiple event description tables.
## Public Methods
| ACE_Timeprobe_Ex (u_long size=ACE_DEFAULT_TIMEPROBE_TABLE_SIZE)
| Create Timeprobes with <size> slots.
| ACE_Timeprobe_Ex (ALLOCATOR *allocator, u_long size=ACE_DEFAULT_TIMEPROBE_TABLE_SIZE)
| Create Timeprobes with <size> slots.
| ~ACE_Timeprobe_Ex (void)
| Destructor.
void | timeprobe (u_long event)
| Record a time. <event> is used to describe this time probe.
void | timeprobe (const char *id)
| Record a time. <id> is used to describe this time probe.
int | event_descriptions (const char **descriptions, u_long minimum_id)
| Record event descriptions.
void | print_times (void)
| Print the time probes.
void | print_absolute_times (void)
| Print the time probes.
void | reset (void)
| Reset the slots. All old time probes will be lost.
void | increase_size (u_long size)
| ACE_Timeprobe_Ex (const ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR > &)
| Not implemented (stupid MSVC won't let it be protected).
ACE_Unbounded_Set< ACE_Event_Descriptions > & | event_descriptions (void)
| Event Descriptions.
ACE_Unbounded_Set< ACE_Event_Descriptions > & | sorted_event_descriptions (void)
| Sorted Event Descriptions.
const char * | find_description_i (u_long i)
| Find description of event <i>.
void | sort_event_descriptions_i (void)
| Sort event descriptions.
ACE_timeprobe_t * | timeprobes (void)
| Time probe slots.
ACE_LOCK & | lock (void)
| Synchronization variable.
u_long | max_size (void)
| Max size of timestamp table.
u_long | current_size (void)
| Current size of timestamp table.
## Protected Methods
ALLOCATOR * | allocator (void)
## Protected Attributes
EVENT_DESCRIPTIONS | event_descriptions_
| Event Descriptions.
EVENT_DESCRIPTIONS | sorted_event_descriptions_
| Sorted Event Descriptions.
ACE_timeprobe_t * | timeprobes_
| Time probe slots.
ACE_LOCK | lock_
| Synchronization variable.
u_long | max_size_
| Max size of timestamp table.
u_long | current_size_
| Current size of timestamp table.
u_short | report_buffer_full_
## Private Attributes
ALLOCATOR * | allocator_

### template<class ACE_LOCK, class ALLOCATOR>
class ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >

## Member Typedef Documentation

template<class ACE_LOCK, class ALLOCATOR>
typedef ACE_Timeprobe_Ex<ACE_LOCK, ACE_Allocator> ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::ACE_Timeprobe

| ACE_Timeprobe

template<class ACE_LOCK, class ALLOCATOR>
typedef ACE_Unbounded_Set<ACE_Event_Descriptions> ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::EVENT_DESCRIPTIONS

| We can hold multiple event description tables.

template<class ACE_LOCK, class ALLOCATOR>
typedef ACE_Timeprobe_Ex<ACE_LOCK, ALLOCATOR> ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::SELF

| Self.

## Constructor & Destructor Documentation

template<class ACE_LOCK, class ALLOCATOR>
ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::ACE_Timeprobe_Ex | ( | u_long | size = ACE_DEFAULT_TIMEPROBE_TABLE_SIZE | ) |

| Create Timeprobes with <size> slots.

template<class ACE_LOCK, class ALLOCATOR>
ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::ACE_Timeprobe_Ex | ( | ALLOCATOR * | allocator,
|  | u_long | size = ACE_DEFAULT_TIMEPROBE_TABLE_SIZE
| ) |

| Create Timeprobes with <size> slots.

template<class ACE_LOCK, class ALLOCATOR>
ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::~ACE_Timeprobe_Ex | ( | void |  | ) |

| Destructor.

template<class ACE_LOCK, class ALLOCATOR>
ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::ACE_Timeprobe_Ex | ( | const ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR > & |  | ) |

| Not implemented (stupid MSVC won't let it be protected).

## Member Function Documentation

template<class ACE_LOCK, class ALLOCATOR>
ALLOCATOR * ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::allocator | ( | void |  | ) | `[protected]`

| Obtain an allocator pointer. If there is no allocator stored in the instance, the singleton allocator in the current process is used.

template<class ACE_LOCK, class ALLOCATOR>
u_long ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::current_size | ( | void |  | ) |

| Current size of timestamp table.

template<class ACE_LOCK, class ALLOCATOR>
ACE_Unbounded_Set< ACE_Event_Descriptions > & ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::event_descriptions | ( | void |  | ) |

| Event Descriptions.

template<class ACE_LOCK, class ALLOCATOR>
int ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::event_descriptions | ( | const char ** | descriptions,
|  | u_long | minimum_id
| ) |

| Record event descriptions.

template<class ACE_LOCK, class ALLOCATOR>
const char * ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::find_description_i | ( | u_long | i | ) |

| Find description of event <i>.

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::increase_size | ( | u_long | size | ) |

template<class ACE_LOCK, class ALLOCATOR>
ACE_LOCK & ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::lock | ( | void |  | ) |

| Synchronization variable.

template<class ACE_LOCK, class ALLOCATOR>
u_long ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::max_size | ( | void |  | ) |

| Max size of timestamp table.

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::print_absolute_times | ( | void |  | ) |

| Print the time probes.

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::print_times | ( | void |  | ) |

| Print the time probes.

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::reset | ( | void |  | ) |

| Reset the slots. All old time probes will be lost.

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::sort_event_descriptions_i | ( | void |  | ) |

| Sort event descriptions.

template<class ACE_LOCK, class ALLOCATOR>
ACE_Unbounded_Set< ACE_Event_Descriptions > & ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::sorted_event_descriptions | ( | void |  | ) |

| Sorted Event Descriptions.

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::timeprobe | ( | const char * | id | ) |

| Record a time. <id> is used to describe this time probe.

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::timeprobe | ( | u_long | event | ) |

| Record a time. <event> is used to describe this time probe.

template<class ACE_LOCK, class ALLOCATOR>
ACE_timeprobe_t * ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::timeprobes | ( | void |  | ) |

| Time probe slots.

## Member Data Documentation

template<class ACE_LOCK, class ALLOCATOR>
ALLOCATOR* ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::allocator_`[private]`

template<class ACE_LOCK, class ALLOCATOR>
u_long ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::current_size_`[protected]`

| Current size of timestamp table.

template<class ACE_LOCK, class ALLOCATOR>
EVENT_DESCRIPTIONS ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::event_descriptions_`[protected]`

| Event Descriptions.

template<class ACE_LOCK, class ALLOCATOR>
ACE_LOCK ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::lock_`[protected]`

| Synchronization variable.

template<class ACE_LOCK, class ALLOCATOR>
u_long ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::max_size_`[protected]`

| Max size of timestamp table.

template<class ACE_LOCK, class ALLOCATOR>
u_short ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::report_buffer_full_`[protected]`

| flag indicating the report buffer has filled up, and is now acting as a ring-buffer using modulus arithmetic: this saves the max_size_ most recent time stamps and loses earlier ones until drained.

template<class ACE_LOCK, class ALLOCATOR>
EVENT_DESCRIPTIONS ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::sorted_event_descriptions_`[protected]`

| Sorted Event Descriptions.

template<class ACE_LOCK, class ALLOCATOR>
ACE_timeprobe_t* ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >::timeprobes_`[protected]`

| Time probe slots.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Timeprobe_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Timeprobe_T.cpp